Name:           gtkmm24
Version:        2.6.14
Release:        1%{?dist}

Summary:        C++ interface for GTK2 (a GUI library for X)

Group:          System Environment/Libraries
License:        LGPL
URL:            http://gtkmm.sourceforge.net/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gtkmm/2.6/gtkmm-%{version}.tar.bz2
Patch0:         gtkmm-2.6.5-devhelp.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:  glibmm24-devel >= 2.6.6
BuildRequires:  atk-devel >= 1.9.0
BuildRequires:  pango-devel >= 1.5.2
BuildRequires:  gtk2-devel >= 2.6.0
BuildRequires:  glib2-devel >= 2.4.0
BuildRequires:  libxslt

%description
gtkmm provides a C++ interface to the GTK+ GUI library. gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%package        devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel
Requires:       glib2-devel
Requires:       glibmm24-devel
Requires:       atk-devel
Requires:       pango-devel

%description devel
This package contains the static libraries and header files needed for
developing gtkmm applications.

%package        docs
Summary:        Documentation for %{name}, includes full API docs
Group:          Documentation
Requires:       %{name}-devel = %{version}-%{release}

%description    docs
This package contains the full API documentation for %{name}.


%prep
%setup -q -n gtkmm-%{version}
%patch0 -p1 -b .devhelp


%build
%configure --enable-static --enable-shared --disable-examples --disable-demos
rm -f docs/reference/gtkmm-2.4.devhelp
make -C docs/reference gtkmm-2.4.devhelp gtkmm_docdir=%{_datadir}/gtk-doc/html/gtkmm-2.4 devhelpdir=%{_datadir}/gtk-doc/html/gtkmm-2.4
make %{?_smp_mflags} gtkmm_docdir=%{_datadir}/gtk-doc/html/gtkmm-2.4 devhelpdir=%{_datadir}/gtk-doc/html/gtkmm-2.4


%install
make install DESTDIR=$RPM_BUILD_ROOT  gtkmm_docdir=%{_datadir}/gtk-doc/html/gtkmm-2.4 devhelpdir=%{_datadir}/gtk-doc/html/gtkmm-2.4
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, -)
%doc CHANGES PORTING
%{_includedir}/gtkmm-2.4
%{_includedir}/atkmm-1.6
%{_includedir}/gdkmm-2.4
%{_includedir}/pangomm-1.4
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/gtkmm-2.4
%{_libdir}/gdkmm-2.4
%{_libdir}/pkgconfig/*.pc

%files docs
%defattr(-, root, root, -)
%{_datadir}/gtk-doc/html/gtkmm-2.4

%changelog
* Mon Jul 31 2006 Denis Leroy <denis@poolshark.org> - 2.6.14-1
- Update to 2.6.14
- atkmm patch integrated upstream

* Sun Jul 23 2006 Denis Leroy <denis@poolshark.org> - 2.6.10-2
- Fixed atkmm patch

* Fri Jun 30 2006 Denis Leroy <denis@poolshark.org> - 2.6.10-1
- Update to 2.6.10
- atkmm directory is back

* Sun Jun 25 2006 Denis Leroy <denis@poolshark.org> - 2.6.9-2
- Added libxslt BR
- atkmm include directory removed

* Sun Jun 25 2006 Denis Leroy <denis@poolshark.org> - 2.6.9-1
- Update to 2.6.9

* Sun Dec 18 2005 Denis Leroy <denis@poolshark.org> - 2.6.5-1
- Update to 2.6.5
- Fixed devhelp documentation paths

* Fri Apr 29 2005 Denis Leroy <denis@poolshark.org> - 2.6.2-2
- Disabled building of demo and examples

* Sat Apr  9 2005 Denis Leroy <denis@poolshark.org> - 2.6.2-1
- Update to gtkmm 2.6.2
- Added demo binary to devel package

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Jan 15 2005 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0:2.4.8-1
- Update for gtkmm 2.4.8

* Wed Nov 17 2004 Denis Leroy <denis@poolshark.org> - 0:2.4.7-1
- Update for gtkmm 2.4.7

* Mon Jun 27 2004 Denis Leroy <denis@poolshark.org> - 0:2.4.5-0.fdr.1
- Upgrade to 2.4.5

* Thu Oct 8 2003 Michael Koziarski <michael@koziarski.org> - 0:2.2.8-0.fdr.3
- Incorporated more of Michael Schwendt's Comments in fedora bug 727
- Seperate -docs package with devhelp support disabled.

* Tue Oct 7 2003 Michael Koziarski <michael@koziarski.org> - 0:2.2.8-0.fdr.2
- Split the documentation into a separate -docs package
- Included devhelp

* Sat Oct 4 2003 Michael Koziarski <michael@koziarski.org> - 0:2.2.8-0.fdr.1
- Incorporated Michael Schwendt's Comments in fedora bug 727
- Updated to 2.2.8

* Tue Sep 16 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:2.2.7-0.fdr.1
- Initial Fedora Release.
- Updated to 2.2.7.

* Fri Dec 6 2002 Gary Peck <gbpeck@sbcglobal.net> - 2.0.2-1
- Removed "--without docs" option and simplified the spec file since the
  documentation is included in the tarball now

* Thu Dec 5 2002 Walter H. van Holst <rpm-maintainer@fossiel.xs4all.nl> - 1.0.2
- Removed reference to patch
- Added the documentation files in %files

* Thu Oct 31 2002 Gary Peck <gbpeck@sbcglobal.net> - 2.0.0-gp1
- Update to 2.0.0

* Wed Oct 30 2002 Gary Peck <gbpeck@sbcglobal.net> - 1.3.26-gp3
- Added "--without docs" option to disable DocBook generation

* Sat Oct 26 2002 Gary Peck <gbpeck@sbcglobal.net> - 1.3.26-gp2
- Update to 1.3.26
- Spec file cleanups
- Removed examples from devel package
- Build html documentation (including a Makefile patch)

* Mon Oct 14 2002 Gary Peck <gbpeck@sbcglobal.net> - 1.3.24-gp1
- Initial release of gtkmm2, using gtkmm spec file as base
